Create or update a card
curl --request POST \
--url https://core-api.getaptly.com/api/board/{boardId} \
--header 'Content-Type: application/json' \
--header 'x-token: <api-key>' \
--data '
{
"name": "John Smith",
"abc123": "[email protected]",
"ghi789": 1500
}
'import requests
url = "https://core-api.getaptly.com/api/board/{boardId}"
payload = {
"name": "John Smith",
"abc123": "[email protected]",
"ghi789": 1500
}
headers = {
"x-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'John Smith', abc123: '[email protected]', ghi789: 1500})
};
fetch('https://core-api.getaptly.com/api/board/{boardId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"_id": "<string>"
}
}Cards
Create or update a card
Creates a new card on the board. Use field UUIDs (from the schema endpoint) as keys in the request body.
To update an existing card, include its _id in the request body. The card must belong to this board.
Fields not provided in the body are left unchanged on update.
POST
/
api
/
board
/
{boardId}
Create or update a card
Authorizations
ApiKeyHeaderDelegateToken
Path Parameters
Body
application/json
Response
Card created.
Show child attributes
Show child attributes
⌘I